Package org.apache.uima.uimacpp

# Class UimacppEngine

java.lang.Object
org.apache.uima.uimacpp.UimacppEngine

public class UimacppEngine extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UimacppEngine()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `batchProcessComplete()`
  batchProcessComplete
  `void`
  `collectionProcessComplete()`
  CasConsumer collectionProcessComplete
  `static void`
  `configureResourceManager(String workDirectory, String dataDirectory)`
  Configure the TAF Resource Manager.
  `static UimacppEngine`
  `createJTafTAE(String configFile)`
  create a TAF engine with a config file
  `void`
  `destroy()`
  de-initializes the TAF engine.
  `protected void`
  `finalize()`
  `static String`
  `getErrorMessage(long errorCode)`
  helper function to get the error message for some TAF error ID.
  `static String`
  `getTafJNIVersion()`
  helper function to get the TAF JNI version.
  `boolean`
  `hasNext()`
  hasNext
  `void`
  `next(CAS segment)`
  next
  `void`
  `process(ResultSpecification rs, CAS aCas, boolean casIsEmpty)`
  process the document.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UimacppEngine

    public UimacppEngine() throws UimacppException
    Throws:
      `UimacppException`

- ## Method Details

  - ### configureResourceManager

    public static void configureResourceManager(String workDirectory, String dataDirectory) throws UimacppException
    Configure the TAF Resource Manager.
    Parameters:
      `workDirectory` - the work directory
      `dataDirectory` - the data directory
    Throws:
      `UimacppException` - wraps any exception

  - ### createJTafTAE

    public static UimacppEngine createJTafTAE(String configFile) throws UimacppException
    create a TAF engine with a config file
    Parameters:
      `configFile` - the configuration file used for initialization
    Returns:
      a UimacppEngine
    Throws:
      `UimacppException` - pass thru

  - ### destroy

    public void destroy() throws UimacppException
    de-initializes the TAF engine.
    Throws:
      `UimacppException` - wraps any exception

  - ### process

    public void process(ResultSpecification rs, CAS aCas, boolean casIsEmpty) throws UimacppException
    process the document.
    Parameters:
      `rs` - the result specification
      `aCas` - the CAS
      `casIsEmpty` - tbd
    Throws:
      `UimacppException` - wraps any exception

  - ### hasNext

    public boolean hasNext() throws UimacppException
    hasNext
    Returns:
      true if there's a next element
    Throws:
      `UimacppException` - wraps any exception

  - ### next

    public void next(CAS segment) throws UimacppException
    next
    Parameters:
      `segment` - tbd
    Throws:
      `UimacppException` - wraps any exception

  - ### batchProcessComplete

    public void batchProcessComplete() throws UimacppException
    batchProcessComplete
    Throws:
      `UimacppException` - wraps any exception

  - ### collectionProcessComplete

    public void collectionProcessComplete() throws UimacppException
    CasConsumer collectionProcessComplete
    Throws:
      `UimacppException` - wraps any exception

  - ### getErrorMessage

    public static String getErrorMessage(long errorCode) throws UimacppException
    helper function to get the error message for some TAF error ID.
    Parameters:
      `errorCode` - the code used as the key to look up the error message
    Returns:
      the error message
    Throws:
      `UimacppException` - wraps any exception

  - ### getTafJNIVersion

    public static String getTafJNIVersion() throws UimacppException
    helper function to get the TAF JNI version.
    Returns:
      Taf JNI Version
    Throws:
      `UimacppException` - wraps any exception

  - ### finalize

    protected void finalize() throws Throwable
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`